[arch-commits] Commit in curl/repos (8 files)

Dave Reisner dreisner at archlinux.org
Thu Nov 17 16:30:16 EST 2011


    Date: Thursday, November 17, 2011 @ 16:30:16
  Author: dreisner
Revision: 142904

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  curl/repos/testing-i686/PKGBUILD
    (from rev 142903, curl/trunk/PKGBUILD)
  curl/repos/testing-i686/curlbuild.h
    (from rev 142903, curl/trunk/curlbuild.h)
  curl/repos/testing-x86_64/PKGBUILD
    (from rev 142903, curl/trunk/PKGBUILD)
  curl/repos/testing-x86_64/curlbuild.h
    (from rev 142903, curl/trunk/curlbuild.h)
Deleted:
  curl/repos/testing-i686/PKGBUILD
  curl/repos/testing-i686/curlbuild.h
  curl/repos/testing-x86_64/PKGBUILD
  curl/repos/testing-x86_64/curlbuild.h

----------------------------+
 testing-i686/PKGBUILD      |  128 +++++++++++++++++++++----------------------
 testing-i686/curlbuild.h   |   18 +++---
 testing-x86_64/PKGBUILD    |  128 +++++++++++++++++++++----------------------
 testing-x86_64/curlbuild.h |   18 +++---
 4 files changed, 146 insertions(+), 146 deletions(-)

Deleted: testing-i686/PKGBUILD
===================================================================
--- testing-i686/PKGBUILD	2011-11-17 21:29:59 UTC (rev 142903)
+++ testing-i686/PKGBUILD	2011-11-17 21:30:16 UTC (rev 142904)
@@ -1,64 +0,0 @@
-# $Id$
-# Maintainer: Dave Reisner <dreisner at archlinux.org>
-# Contributor: Angel Velasquez <angvp at archlinux.org>
-# Contributor: Eric Belanger <eric at archlinux.org>
-# Contributor: Lucien Immink <l.immink at student.fnt.hvu.nl>
-# Contributor: Daniel J Griffiths <ghost1227 at archlinux.us>
-
-pkgname=curl
-pkgver=7.23.0
-pkgrel=1
-pkgdesc="An URL retrival utility and library"
-arch=('i686' 'x86_64')
-url="http://curl.haxx.se"
-license=('MIT')
-depends=('ca-certificates' 'libssh2' 'openssl' 'zlib')
-makedepends=('perl-libwww')
-options=('!libtool')
-source=("http://curl.haxx.se/download/$pkgname-$pkgver.tar.gz"{,.asc}
-        curlbuild.h)
-md5sums=('018a9acee77ed70017c6f6cec855635a'
-         '6a0d4a24923e587153462b8602468921'
-         '751bd433ede935c8fae727377625a8ae')
-
-ptrsize=$(cpp <<<'__SIZEOF_POINTER__' | sed '/^#/d')
-case $ptrsize in
-  8) _curlbuild=curlbuild-64.h ;;
-  4) _curlbuild=curlbuild-32.h ;;
-  *) error "unknown pointer size for architecture: %s bytes" "$ptrsize"
-    exit 1
-    ;;
-esac
-
-build() {
-  cd "$srcdir/$pkgname-$pkgver"
-
-  ./configure \
-      --prefix=/usr \
-      --mandir=/usr/share/man \
-      --disable-dependency-tracking \
-      --disable-ldap \
-      --disable-ldaps \
-      --enable-ipv6 \
-      --enable-manual \
-      --enable-versioned-symbols \
-      --enable-threaded-resolver \
-      --without-libidn \
-      --with-random=/dev/urandom \
-      --with-ca-bundle=/etc/ssl/certs/ca-certificates.crt
-  make
-}
-
-package() {
-  cd "$srcdir/$pkgname-$pkgver"
-
-  make DESTDIR="$pkgdir" install
-
-  # license
-  install -Dm644 COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
-
-  # devel
-  install -Dm644 docs/libcurl/libcurl.m4 "$pkgdir/usr/share/aclocal/libcurl.m4"
-  mv "$pkgdir/usr/include/curl/curlbuild.h" "$pkgdir/usr/include/curl/$_curlbuild"
-  install -m644 "$srcdir/curlbuild.h" "$pkgdir/usr/include/curl/curlbuild.h"
-}

Copied: curl/repos/testing-i686/PKGBUILD (from rev 142903, curl/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2011-11-17 21:30:16 UTC (rev 142904)
@@ -0,0 +1,64 @@
+# $Id$
+# Maintainer: Dave Reisner <dreisner at archlinux.org>
+# Contributor: Angel Velasquez <angvp at archlinux.org>
+# Contributor: Eric Belanger <eric at archlinux.org>
+# Contributor: Lucien Immink <l.immink at student.fnt.hvu.nl>
+# Contributor: Daniel J Griffiths <ghost1227 at archlinux.us>
+
+pkgname=curl
+pkgver=7.23.1
+pkgrel=1
+pkgdesc="An URL retrival utility and library"
+arch=('i686' 'x86_64')
+url="http://curl.haxx.se"
+license=('MIT')
+depends=('ca-certificates' 'libssh2' 'openssl' 'zlib')
+makedepends=('perl-libwww')
+options=('!libtool')
+source=("http://curl.haxx.se/download/$pkgname-$pkgver.tar.gz"{,.asc}
+        curlbuild.h)
+md5sums=('8e23151f569fb54afef093ac0695077d'
+         '5d8eb7e2e38be0fb00a043f714f6d49f'
+         '751bd433ede935c8fae727377625a8ae')
+
+ptrsize=$(cpp <<<'__SIZEOF_POINTER__' | sed '/^#/d')
+case $ptrsize in
+  8) _curlbuild=curlbuild-64.h ;;
+  4) _curlbuild=curlbuild-32.h ;;
+  *) error "unknown pointer size for architecture: %s bytes" "$ptrsize"
+    exit 1
+    ;;
+esac
+
+build() {
+  cd "$srcdir/$pkgname-$pkgver"
+
+  ./configure \
+      --prefix=/usr \
+      --mandir=/usr/share/man \
+      --disable-dependency-tracking \
+      --disable-ldap \
+      --disable-ldaps \
+      --enable-ipv6 \
+      --enable-manual \
+      --enable-versioned-symbols \
+      --enable-threaded-resolver \
+      --without-libidn \
+      --with-random=/dev/urandom \
+      --with-ca-bundle=/etc/ssl/certs/ca-certificates.crt
+  make
+}
+
+package() {
+  cd "$srcdir/$pkgname-$pkgver"
+
+  make DESTDIR="$pkgdir" install
+
+  # license
+  install -Dm644 COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
+
+  # devel
+  install -Dm644 docs/libcurl/libcurl.m4 "$pkgdir/usr/share/aclocal/libcurl.m4"
+  mv "$pkgdir/usr/include/curl/curlbuild.h" "$pkgdir/usr/include/curl/$_curlbuild"
+  install -m644 "$srcdir/curlbuild.h" "$pkgdir/usr/include/curl/curlbuild.h"
+}

Deleted: testing-i686/curlbuild.h
===================================================================
--- testing-i686/curlbuild.h	2011-11-17 21:29:59 UTC (rev 142903)
+++ testing-i686/curlbuild.h	2011-11-17 21:30:16 UTC (rev 142904)
@@ -1,9 +0,0 @@
-#include <bits/wordsize.h>
-
-#if __WORDSIZE == 32
-#include "curlbuild-32.h"
-#elif __WORDSIZE == 64
-#include "curlbuild-64.h"
-#else
-#error "Unknown word size"
-#endif

Copied: curl/repos/testing-i686/curlbuild.h (from rev 142903, curl/trunk/curlbuild.h)
===================================================================
--- testing-i686/curlbuild.h	                        (rev 0)
+++ testing-i686/curlbuild.h	2011-11-17 21:30:16 UTC (rev 142904)
@@ -0,0 +1,9 @@
+#include <bits/wordsize.h>
+
+#if __WORDSIZE == 32
+#include "curlbuild-32.h"
+#elif __WORDSIZE == 64
+#include "curlbuild-64.h"
+#else
+#error "Unknown word size"
+#endif

Deleted: testing-x86_64/PKGBUILD
===================================================================
--- testing-x86_64/PKGBUILD	2011-11-17 21:29:59 UTC (rev 142903)
+++ testing-x86_64/PKGBUILD	2011-11-17 21:30:16 UTC (rev 142904)
@@ -1,64 +0,0 @@
-# $Id$
-# Maintainer: Dave Reisner <dreisner at archlinux.org>
-# Contributor: Angel Velasquez <angvp at archlinux.org>
-# Contributor: Eric Belanger <eric at archlinux.org>
-# Contributor: Lucien Immink <l.immink at student.fnt.hvu.nl>
-# Contributor: Daniel J Griffiths <ghost1227 at archlinux.us>
-
-pkgname=curl
-pkgver=7.23.0
-pkgrel=1
-pkgdesc="An URL retrival utility and library"
-arch=('i686' 'x86_64')
-url="http://curl.haxx.se"
-license=('MIT')
-depends=('ca-certificates' 'libssh2' 'openssl' 'zlib')
-makedepends=('perl-libwww')
-options=('!libtool')
-source=("http://curl.haxx.se/download/$pkgname-$pkgver.tar.gz"{,.asc}
-        curlbuild.h)
-md5sums=('018a9acee77ed70017c6f6cec855635a'
-         '6a0d4a24923e587153462b8602468921'
-         '751bd433ede935c8fae727377625a8ae')
-
-ptrsize=$(cpp <<<'__SIZEOF_POINTER__' | sed '/^#/d')
-case $ptrsize in
-  8) _curlbuild=curlbuild-64.h ;;
-  4) _curlbuild=curlbuild-32.h ;;
-  *) error "unknown pointer size for architecture: %s bytes" "$ptrsize"
-    exit 1
-    ;;
-esac
-
-build() {
-  cd "$srcdir/$pkgname-$pkgver"
-
-  ./configure \
-      --prefix=/usr \
-      --mandir=/usr/share/man \
-      --disable-dependency-tracking \
-      --disable-ldap \
-      --disable-ldaps \
-      --enable-ipv6 \
-      --enable-manual \
-      --enable-versioned-symbols \
-      --enable-threaded-resolver \
-      --without-libidn \
-      --with-random=/dev/urandom \
-      --with-ca-bundle=/etc/ssl/certs/ca-certificates.crt
-  make
-}
-
-package() {
-  cd "$srcdir/$pkgname-$pkgver"
-
-  make DESTDIR="$pkgdir" install
-
-  # license
-  install -Dm644 COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
-
-  # devel
-  install -Dm644 docs/libcurl/libcurl.m4 "$pkgdir/usr/share/aclocal/libcurl.m4"
-  mv "$pkgdir/usr/include/curl/curlbuild.h" "$pkgdir/usr/include/curl/$_curlbuild"
-  install -m644 "$srcdir/curlbuild.h" "$pkgdir/usr/include/curl/curlbuild.h"
-}

Copied: curl/repos/testing-x86_64/PKGBUILD (from rev 142903, curl/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2011-11-17 21:30:16 UTC (rev 142904)
@@ -0,0 +1,64 @@
+# $Id$
+# Maintainer: Dave Reisner <dreisner at archlinux.org>
+# Contributor: Angel Velasquez <angvp at archlinux.org>
+# Contributor: Eric Belanger <eric at archlinux.org>
+# Contributor: Lucien Immink <l.immink at student.fnt.hvu.nl>
+# Contributor: Daniel J Griffiths <ghost1227 at archlinux.us>
+
+pkgname=curl
+pkgver=7.23.1
+pkgrel=1
+pkgdesc="An URL retrival utility and library"
+arch=('i686' 'x86_64')
+url="http://curl.haxx.se"
+license=('MIT')
+depends=('ca-certificates' 'libssh2' 'openssl' 'zlib')
+makedepends=('perl-libwww')
+options=('!libtool')
+source=("http://curl.haxx.se/download/$pkgname-$pkgver.tar.gz"{,.asc}
+        curlbuild.h)
+md5sums=('8e23151f569fb54afef093ac0695077d'
+         '5d8eb7e2e38be0fb00a043f714f6d49f'
+         '751bd433ede935c8fae727377625a8ae')
+
+ptrsize=$(cpp <<<'__SIZEOF_POINTER__' | sed '/^#/d')
+case $ptrsize in
+  8) _curlbuild=curlbuild-64.h ;;
+  4) _curlbuild=curlbuild-32.h ;;
+  *) error "unknown pointer size for architecture: %s bytes" "$ptrsize"
+    exit 1
+    ;;
+esac
+
+build() {
+  cd "$srcdir/$pkgname-$pkgver"
+
+  ./configure \
+      --prefix=/usr \
+      --mandir=/usr/share/man \
+      --disable-dependency-tracking \
+      --disable-ldap \
+      --disable-ldaps \
+      --enable-ipv6 \
+      --enable-manual \
+      --enable-versioned-symbols \
+      --enable-threaded-resolver \
+      --without-libidn \
+      --with-random=/dev/urandom \
+      --with-ca-bundle=/etc/ssl/certs/ca-certificates.crt
+  make
+}
+
+package() {
+  cd "$srcdir/$pkgname-$pkgver"
+
+  make DESTDIR="$pkgdir" install
+
+  # license
+  install -Dm644 COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
+
+  # devel
+  install -Dm644 docs/libcurl/libcurl.m4 "$pkgdir/usr/share/aclocal/libcurl.m4"
+  mv "$pkgdir/usr/include/curl/curlbuild.h" "$pkgdir/usr/include/curl/$_curlbuild"
+  install -m644 "$srcdir/curlbuild.h" "$pkgdir/usr/include/curl/curlbuild.h"
+}

Deleted: testing-x86_64/curlbuild.h
===================================================================
--- testing-x86_64/curlbuild.h	2011-11-17 21:29:59 UTC (rev 142903)
+++ testing-x86_64/curlbuild.h	2011-11-17 21:30:16 UTC (rev 142904)
@@ -1,9 +0,0 @@
-#include <bits/wordsize.h>
-
-#if __WORDSIZE == 32
-#include "curlbuild-32.h"
-#elif __WORDSIZE == 64
-#include "curlbuild-64.h"
-#else
-#error "Unknown word size"
-#endif

Copied: curl/repos/testing-x86_64/curlbuild.h (from rev 142903, curl/trunk/curlbuild.h)
===================================================================
--- testing-x86_64/curlbuild.h	                        (rev 0)
+++ testing-x86_64/curlbuild.h	2011-11-17 21:30:16 UTC (rev 142904)
@@ -0,0 +1,9 @@
+#include <bits/wordsize.h>
+
+#if __WORDSIZE == 32
+#include "curlbuild-32.h"
+#elif __WORDSIZE == 64
+#include "curlbuild-64.h"
+#else
+#error "Unknown word size"
+#endif



More information about the arch-commits mailing list